Name:           cambozola
Version:        0.936
Release:        3%{?dist}
Summary:        A viewer for multipart jpeg streams

Group:          Development/Libraries
License:        GPLv2+
URL:            http://www.charliemouse.com/code/cambozola/index.html
Source0:        http://www.andywilcock.com/code/cambozola/%{name}-latest.tar.gz


#patch to add javadoc generation in build.xml
Patch0:         %{name}-%{version}-add_javadoc.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant
%if 0%{?el6}
BuildRequires:  ant-nodeps
%endif
Requires:       jpackage-utils
Requires:       java

%description
Cambozola is a very simple (cheesy!) viewer for multipart jpeg streams
that are often pumped out by a streaming webcam server,
sending over multiple images per second.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 -p0

# Remove pre-built JAR and class files
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

%build
ant javadoc
ant


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}.jar   \
  $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p dist/%{name}-server.jar   \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-server.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp javadoc/*  \
  $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-server.jar
%doc LICENSE README.html


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Sat Dec 31 2016 Cédric OLIVIER <cedric.olivier@free.fr>  0.936-3
- Enable 0.936 on EL6 

* Mon Feb 08 2016 Cédric OLIVIER <cedric.olivier@free.fr>  0.936-2
- Update source location

* Thu Feb 04 2016 Cédric OLIVIER <cedric.olivier@free.fr>  0.936-1
- Update to 0.936

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.93-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.93-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 Cédric OLIVIER <cedric.olivier@free.fr>  0.93-1
- Update to 0.93
- Remove ant-nodeps build requires

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.92-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild


* Sun Jan 16 2011 Cédric OLIVIER <cedric.olivier@free.fr>  0.92-2
- According to Java packaging guidelines version removed from jar file name
- Reduce the spelling errors in description
- Remove clean section
- Remove unneeded requires in javadoc section

* Wed Dec 22 2010 Cédric OLIVIER <cedric.olivier@free.fr>  0.92-1
- Update to 0.92 release

* Sun Nov 21 2010 Cédric OLIVIER <cedric.olivier@free.fr>  0.80-1
- First release

